Subject: bug#40676: 28.0.50; gnus locks when reading email

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jul 2020 11:05:58 +0200

Robert Pluim <[email-masked]> writes:

> emacs calls getaddrinfo_a already if itʼs available, when creating
> connections, but I donʼt think thereʼs a lisp-level interface to it
> (and itʼs not available on macOS, weʼd have to implement it using
> Apple's platform-specific API).

Yes, I was thinking that we could use Emacs' normal process support for
it, but just call getaddrinf_a and then return the results.  I haven't
actually looked at how to do that, but it seems like it should
conceptually makes sense.

For instance, to make it very much like a normal network process, Emacs
could even just output the DNS data as bytes in the process buffer.  (We
have code to parse DNS protocol data in dns.el already.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no